<style type="text/css">input::-webkit-outer-spin-button, input::-webkit-inner-spin-button {-webkit-appearance: none;margin: 0;} .product-description .hash{
  color:blue;
}</style>
<script src="https://checkout.stripe.com/checkout.js"></script>
<?php $loadPage = Wo_LoadPage('thirdparty/paypal-demo'); echo (!empty($loadPage)) ? $loadPage : '';?>

<?php
	if (!empty($wo['story']['product_id'])) {

		$checkmyproduct = Wo_CheckMyProduct($wo['story']['product']['id'],$wo['user']['user_id'],'product');

		if ($wo['page']  == 'story') { ?>
			<style>.col-md-7.middlecol {width: 100%;}.col-md-3.sidebar.rightcol {display:none;}</style>
		<?php }
		$symbol = (!empty($wo['currencies'][$wo['story']['product']['currency']]['symbol'])) ? $wo['currencies'][$wo['story']['product']['currency']]['symbol'] : $wo['config']['classified_currency_s'];
		$text = (!empty($wo['currencies'][$wo['story']['product']['currency']]['text'])) ? $wo['currencies'][$wo['story']['product']['currency']]['text'] : $wo['config']['classified_currency'];
		$status = ($wo['story']['product']['status'] == 0) ? '' . $wo['lang']['in_stock'] . '' : '<span class="product-status-sold">' . $wo['lang']['sold'] . '</span>';
		$type = ($wo['story']['product']['type'] == 0) ? '<span class="product-description">' . $wo['lang']['new'] . '</span>' : '<span class="product-description">' . $wo['lang']['used'] . '</span>';
		
		echo '<div class="valign tag_post_prods">';
		
		echo '<div class="prod_full_size_slide">';
		echo '<div id="tpc_' . $wo['story']['product_id'] . '" class="carousel slide">';
		echo '<div class="carousel-inner" role="listbox">';
		foreach ($wo['story']['product']['images'] as $photo) {
			echo '<div class="item tag_post_prods_slide">';
			echo '<div class="tag_lbox_blur_img">';
			echo '<div class="tag_lbox_blur_img_innr">';
			echo "<img src='" . ($photo['image_org']) ."'>";
			echo '</div>';
			echo '</div>';
			echo '<div class="tag_post_prods_thumb">';
			//echo "<img src='" . ($photo['image_org']) ."' class='pointer' onclick='Wo_OpenAlbumLightBox(" . $photo['id'] . ", \"product\");'>";
			echo "<a href='".$wo['story']['product']['url']."'>";
			echo "<img src='" . ($photo['image_org']) ."' class='pointer'>";
			echo '</a>';
			echo '</div>';
			echo '</div>';
		}
		echo '</div>';
		if (count($wo['story']['product']['images']) > 1) {
			echo '<a class="left carousel-control" href="#tpc_' . $wo['story']['product_id'] . '" role="button" data-slide="prev">';
			echo '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="currentColor" d="M10.828 12l4.95 4.95-1.414 1.414L8 12l6.364-6.364 1.414 1.414z"></path></svg>';
			echo '</a>';
			echo '<a class="right carousel-control" href="#tpc_' . $wo['story']['product_id'] . '" role="button" data-slide="next">';
			echo '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path fill="currentColor" d="M13.172 12l-4.95-4.95 1.414-1.414L16 12l-6.364 6.364-1.414-1.414z"></path></svg>';
			echo '</a>';
		}
		echo '</div>';
		echo '</div>';
		
		echo '<div class="full_width wow_post_prod">';
		echo '<h4 class="wow_post_prod_name">' . $wo['story']['product']['name'] . '</h4>';
		echo '<p class="wow_post_prod_price">' . $symbol . $wo['story']['product']['price'] . ' (' . $text . ')</p>';
		echo '<input type="hidden" name="amount" id="amount" value="'.$wo['story']['product']['price'].'">';
		echo '<input type="hidden" name="product_id" id="product_id" value="'.$wo['story']['product']['id'].'">';
		echo '<input type="hidden" name="product_user_id" id="product_user_id" value="'.$wo['story']['product']['user_id'].'">';
		echo '<div class="wow_post_prod_shead">';
		if (!empty($wo['story']['product']['location'])) {
			echo '<span> ' . $wo['story']['product']['location'] . '</span><span class="middot">·</span>';
		}
		echo '<span class="product-status"> ' . $status . '</span><span class="middot">·</span>';
		echo '<span> ' . $type . '</span>';
		echo '</div>';

		
			if ($wo['page']  == 'story' && $wo['story']['product']['user_id'] != $wo['user']['user_id']) { 
				if(empty($checkmyproduct)){
				?>
			<div class="valign tag_post_prods_btns">
				<button class="save-product btn btn-mat<?php if($wo['story']['is_post_saved'] === true) { ?> active<?php } ?>" onclick="Wo_SavePost(<?php echo $wo['story']['id']; ?>);"><svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path d="M19 21l-7-5-7 5V5a2 2 0 0 1 2-2h10a2 2 0 0 1 2 2z"></path></svg></button>

				<?php if ($wo['loggedin']) {  ?>
					<button class="contact btn btn-success btn-mat" onclick="Wo_GetProductPaymentLink(<?php echo $wo['story']['product']['user_id']?>,<?php echo $wo['story']['product']['id']?>)">Hire this mentor</button>
				<?php }else{ ?>
					<a href="<?php echo Wo_SeoLink('index.php?link1=welcome'); ?>" class="contact btn btn-success btn-mat">Hire this mentor</a>
				<?php } ?>
			</div>
		<?php }} 
		echo '<hr>';
		echo '<div class="wow_post_prod_infos"><p class="product-description product-description-'.$wo['story']['product']['id'].'">' . $wo['story']['product']['description'] . '</p></div>';
		
		$fields = Wo_GetCustomFields('product'); 
		if (!empty($fields)) {
			foreach ($fields as $key => $wo['field']) { 
				if (!empty($wo['story']['product']['fid_'.$wo['field']['id']])) {
					if ($wo['field']['type'] == 'selectbox') {
						$options = @explode(',', $wo['field']['options']);
						foreach ($options as $key => $value) {
							if (($key + 1) == $wo['story']['product']['fid_'.$wo['field']['id']]) {
								$wo['story']['product']['fid_'.$wo['field']['id']] = $value;
							}
						}
					}
					echo '<div class="wow_post_prod_infos"><p class="product-description">' . $wo['story']['product']['fid_'.$wo['field']['id']] . '</p></div>';
		        } 
		    } 
	    }
		echo '</div>';
		
		echo '</div>';
		if(!empty($checkmyproduct) || Wo_IsAdmin() == true){
			echo '<div class="wow_post_prod_infos"><p class="product-description">' . nofollow(htmlspecialchars_decode($wo['story']['product']['instructions_links']))  . '</p></div>';
		}
	} 
?>

<?php
		$stripeID=$wo['config']['stripe_id'];
?>
<div id="pay-modal"></div>

<div class="modal fade" id="paystack_wallet_modal" role="dialog" data-keyboard="false">
	<div class="modal-dialog wow_mat_mdl modal-md">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo $wo['lang']['paystack'] ?></h4>
			</div>
			<form class="form form-horizontal" method="post" id="paystack_wallet_form" action="#">
				<div class="modal-body">
					<div id="paystack_wallet_alert"></div>
					<div class="clear"></div>
					<label class="tag_field">
						<input id="paystack_wallet_email" type="email" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['email']) ?>">
						<span><?php echo $wo['lang']['email']; ?></span>
					</label>
					<input type="hidden" name="paystack_type" id="paystack_type">
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
				<div class="modal-footer">
					<button type="button" class="btn btn-mat btn-default disable_btn" data-dismiss="modal" aria-label="Close"><?php echo $wo['lang']['cancel']; ?></button>
					<button type="button" class="btn btn-mat btn-main disable_btn" id="paystack_btn" onclick="InitializeWalletPaystack()"><?php echo $wo['lang']['pay']; ?></button>
				</div>
			</form>
		</div>
	</div>
</div>
<div class="modal fade" id="cashfree_wallet_modal" role="dialog" data-keyboard="false">
	<div class="modal-dialog wow_mat_mdl modal-md">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo $wo['lang']['cashfree'] ?></h4>
			</div>
			<form class="form form-horizontal" method="post" id="cashfree_form" action="#">
				<div class="modal-body">
					<div id="cashfree_alert"></div>
					<div class="clear"></div>
					<label class="tag_field">
						<input id="cashfree_name" type="text" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['name']) ?>">
						<span><?php echo $wo['lang']['name']; ?></span>
					</label>
					<label class="tag_field">
						<input id="cashfree_email" type="email" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['email']) ?>">
						<span><?php echo $wo['lang']['email']; ?></span>
					</label>
					<label class="tag_field">
						<input id="cashfree_phone" type="text" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['phone_number']) ?>">
						<span><?php echo $wo['lang']['phone_number']; ?></span>
					</label>
					<input type="hidden" name="cashfree_type" id="cashfree_type">
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
				<div class="modal-footer">
					<button type="button" class="btn btn-mat btn-default disable_btn" data-dismiss="modal" aria-label="Close"><?php echo $wo['lang']['cancel']; ?></button>
					<button type="button" class="btn btn-main disable_btn" id="cashfree_btn" onclick="SignatureWalletCashfree()"><?php echo $wo['lang']['pay']; ?></button>
				</div>
			</form>
		</div>
	</div>
</div>
<?php if ($wo['config']['razorpay_payment'] == 'yes' && !empty($wo['config']['razorpay_key_id']) && !empty($wo['config']['razorpay_key_secret'])) { ?>
<div class="modal fade" id="razorpay_modal" role="dialog" data-keyboard="false">
	<div class="modal-dialog wow_mat_mdl modal-md">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo $wo['lang']['razorpay'] ?></h4>
			</div>
			<form class="form form-horizontal" method="post" id="razorpay_form" action="#">
				<div class="modal-body">
					<div id="razorpay_alert"></div>
					<div class="clear"></div>
					<label class="tag_field">
						<input id="razorpay_name" type="text" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['name']) ?>">
						<span><?php echo $wo['lang']['name']; ?></span>
					</label>
					<label class="tag_field">
						<input id="razorpay_email" type="email" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['email']) ?>">
						<span><?php echo $wo['lang']['email']; ?></span>
					</label>
					<label class="tag_field">
						<input id="razorpay_phone" type="text" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['phone_number']) ?>">
						<span><?php echo $wo['lang']['phone_number']; ?></span>
					</label>
					<input type="hidden" name="razorpay_type" id="razorpay_type">
					<div class="clear"></div>
				</div>
				<div class="clear"></div>
				<div class="modal-footer">
					<button type="button" class="btn btn-mat btn-default disable_btn" data-dismiss="modal" aria-label="Close"><?php echo $wo['lang']['cancel']; ?></button>
					<button type="button" class="btn btn-main disable_btn" id="razorpay_btn" onclick="SignatureRazorpay()"><?php echo $wo['lang']['pay']; ?></button>
				</div>
			</form>
		</div>
	</div>
</div>
<script src="https://checkout.razorpay.com/v1/checkout.js"></script>
<?php } ?>
<script>

function Wo_GetProductPaymentLink(userID,productID) {
	var type=1;
	$.get(Wo_Ajax_Requests_File() + '?f=get_payment_method&type=' + type, function (data) {
        if (data.status == 200) {
          	$('#pay-modal').html(data.html);
          	$('#pay-go-pro').modal({
             show: true
            });

        }
    });
}
</script>

<script>
$.fn.textWidth = function(text, font) {
    
    if (!$.fn.textWidth.fakeEl) $.fn.textWidth.fakeEl = $('<span>').hide().appendTo(document.body);
    
    $.fn.textWidth.fakeEl.text(text || this.val() || this.text() || this.attr('placeholder')).css('font', font || this.css('font'));
    
    return $.fn.textWidth.fakeEl.width();
};

$('.width-dynamic').on('input', function() {
    var inputWidth = $(this).textWidth();
    $(this).css({
        width: inputWidth
    })
}).trigger('input');


function inputWidth(elem, minW, maxW) {
    elem = $(this);
    console.log(elem)
}

var targetElem = $('.width-dynamic');

inputWidth(targetElem);

<?php if ($wo['config']['razorpay_payment'] == 'yes' && !empty($wo['config']['razorpay_key_id']) && !empty($wo['config']['razorpay_key_secret'])) { ?>
function pay_using_razorpay(type) {
	$("#razorpay_alert").html('');
	$('#razorpay_type').val(type)
	$('#pay-go-pro').modal('hide');
	$('#razorpay_modal').modal({
        show: true
    });
}

function SignatureRazorpay() {
	$('#razorpay_btn').html("<?php echo($wo['lang']['please_wait']) ?>");
	$('#razorpay_btn').attr('disabled','true');
    var merchant_order_id = "<?php echo(round(111111,9999999)) ?>";
    var card_holder_name_id = $('#razorpay_name').val();
    var type = $('#razorpay_type').val();
    var email = $('#razorpay_email').val();
    var phone = $('#razorpay_phone').val();
    //var currency_code_id = "<?php echo($wo['config']['currency']) ?>";
    var currency_code_id = "INR";

    if (!email || !phone || !card_holder_name_id) {
    	$('#razorpay_alert').html("<div class='alert alert-danger'><?php echo($wo['lang']['please_check_details']) ?></div>");
		setTimeout(function () {
			$('#razorpay_alert').html("");
		},3000);
		$('#razorpay_btn').html("<?php echo($wo['lang']['pay']) ?>");
		$('#razorpay_btn').removeAttr('disabled');
		return false;
    }


    var merchant_total = Number($('#amount').val()) * 100;
    
    var razorpay_options = {
        key: "<?php echo $wo['config']['razorpay_key_id']; ?>",
        amount: merchant_total,
        name: "<?php echo $wo['config']['siteName']; ?>",
        description: "Top up wallet",
        image: '<?php echo $wo['config']['theme_url'];?>/img/logo.<?php echo $wo['config']['logo_extension'];?>',
        netbanking: true,
        currency: currency_code_id,
        prefill: {
            name: card_holder_name_id,
            email: email,
            contact: phone
        },
        notes: {
            soolegal_order_id: merchant_order_id,
        },
        handler: function (transaction) {
            jQuery.ajax({
                url:Wo_Ajax_Requests_File() + '?f=razorpay&s=wallet',
                type: 'post',
                data: {payment_id: transaction.razorpay_payment_id, order_id: merchant_order_id, card_holder_name_id: card_holder_name_id,  merchant_amount: merchant_total, currency: currency_code_id, type: 'wallet'}, 
                dataType: 'json',
                success: function (data) {
                	if (data.status == 200) {
                		window.location = data.url;
                	}
                	else{
                		if (data.url != '') {
                			window.location = data.url;
                		}
                		else{
                			$('#razorpay_alert').html("<div class='alert alert-danger'>"+data.message+"</div>");
							setTimeout(function () {
								$('#razorpay_alert').html("");
							},3000);
							$('#razorpay_btn').html("<?php echo($wo['lang']['pay']) ?>");
							$('#razorpay_btn').removeAttr('disabled');

                		}
                	}
                }
            });
        },
        "modal": {
            "ondismiss": function () {
                // code here
            }
        }
    };
    // obj        
    var objrzpv1 = new Razorpay(razorpay_options);
    objrzpv1.open();
    e.preventDefault();
}
<?php } ?>

<?php if ($wo['config']['paysera_payment'] == 'yes' && !empty($wo['config']['paysera_project_id']) && !empty($wo['config']['paysera_sign_password'])) { ?>
	function pay_using_paysera(type) {
		$('.btn-paysera').attr('disabled', true).text("<?php echo $wo["lang"]["please_wait"]?>");
		amount = $('#amount').val();
	    $.post(Wo_Ajax_Requests_File() + '?f=paysera&s=get_url', {type:'wallet',amount:amount}, function(data) {
	        if (data.status == 200) {
	            window.location.href = data.url;
	        } else {
	         	$('.btn-paysera').attr('disabled', false).html("Paysera App not set yet.");
	        }
	    });
	}
<?php } ?>




	function pay_using_cashfree(type) {
		$("#cashfree_wallet_alert").html('');
		$('#pay-go-pro').modal('hide');
		$('#cashfree_wallet_modal').modal({
	        show: true
	    });
	}
	function SignatureWalletCashfree() {
		$('#cashfree_btn').html("<?php echo($wo['lang']['please_wait']) ?>");
		$('#cashfree_btn').attr('disabled','true');
		type = $('#cashfree_type').val();
		email = $('#cashfree_email').val();
		name = $('#cashfree_name').val();
		phone = $('#cashfree_phone').val();
		amount = $('#amount').val();
		$.post(Wo_Ajax_Requests_File() + '?f=cashfree&s=initialize', {type:'wallet',email:email,name:name,phone:phone,amount:amount}, function(data) {
			if (data.status == 200) {
				$('body').append(data.html);
				document.getElementById("redirectForm").submit();
			} else {
				$('#cashfree_wallet_alert').html("<div class='alert alert-danger'>"+data.message+"</div>");
				setTimeout(function () {
					$('#cashfree_wallet_alert').html("");
				},3000);
			}
			$('#cashfree_btn').html("<?php echo($wo['lang']['pay']) ?>");
			$('#cashfree_btn').removeAttr('disabled');
		});
	}



	function pay_using_paystack(type) {
		$("#paystack_wallet_alert").html('');
		$('#pay-go-pro').modal('hide');
		$('#paystack_wallet_modal').modal({
	        show: true
	    });
	}

	function InitializeWalletPaystack() {
		$('#paystack_btn').html("<?php echo($wo['lang']['please_wait']) ?>");
	    $('#paystack_btn').attr('disabled','true');
		email = $('#paystack_wallet_email').val();
		amount = $('#amount').val() * 100;
		$.post(Wo_Ajax_Requests_File() + '?f=paystack&s=initialize', {type:'wallet',email:email,amount:amount}, function(data) {
			if (data.status == 200) {
				window.location.href = data.url;
			} else {
				$('#paystack_wallet_alert').html("<div class='alert alert-danger'>"+data.message+"</div>");
				setTimeout(function () {
					$('#paystack_wallet_alert').html("");
				},3000);
			}
			$('#paystack_btn').html("<?php echo($wo['lang']['pay']) ?>");
		    $('#paystack_btn').removeAttr('disabled');
		});
	}

	function Wo_GetPayPalLink(type) {
		$('.btn-paypal').attr('disabled', true).text("<?php echo $wo["lang"]["please_wait"]?>");
		$.get(Wo_Ajax_Requests_File() + '?f=purchase_product&s=get-user-payment-account', {amount:$('#amount').val(),productID:$('#product_id').val(),productUserID:$('#product_user_id').val(), desc: 'purchase product'}, function(data) {
			//console.log(data);
			if (data.status == 200) {
				
				window.location.href = data.url;
			} else {
				$('.btn-paypal').attr('disabled', false).html("PayPal App not set yet.");
			}
		});
	}
	function Wo_CheckOutCard(type, description, amount, payment_type) {
		description = "Purchase Product";
		amount = $('#amount').val() * 100;

		if (payment_type == 'bitcoin') {
			$('.btn-bitcoin').attr('disabled', true).text("<?php echo $wo["lang"]["please_wait"]?>");
			$('#pay-go-pro').modal({
				show: false
			});
		} else if (payment_type == 'credit_card') {
			$('.btn-cart').attr('disabled', true).text("<?php echo $wo["lang"]["please_wait"]?>");
		} else if (payment_type == 'alipay') {
			$('.btn-alipay').attr('disabled', true).text("<?php echo $wo["lang"]["please_wait"]?>");
		}
		var img = 'star';
		if (type == 1) {
			img = 'star';
		} else if (type == 2) {
			img = 'hot';
		} else if (type == 3) {
			img = 'ultima';
		} else if (type == 4) {
			img = 'vip';
		}
		if (payment_type != 'bank_payment' && payment_type != 'checkout') {
			var handler = StripeCheckout.configure({
				key: "<?php echo $stripeID;?>",
				locale: 'english',
				image: '<?php echo $wo['config']['theme_url']?>/img/' + img + '.png',
				token: function(token) {
				$('.modal-body').html('<i class="fa fa-spin fa-spinner"></i> <?php echo $wo['lang']['c_payment'] ?>');
				$('#pay-go-pro').modal({
					show: true
					});
					$.post(Wo_Ajax_Requests_File() + '?f=stripe_payment_product', {stripeToken:token.id, amount:$('#amount').val(),productID:$('#product_id').val(),productUserID:$('#product_user_id').val()}, function (data) {
						//console.log(data);
						if (data.status == 200) {
							if(data.groupid!=0){
								Wo_RegisterAddGroup(data.userid, data.groupid);
							}
							
							window.location.href = data.location;
						} else {
							$('.modal-body').html('<i class="fa fa-spin fa-spinner"></i> <?php echo $wo['lang']['payment_declined'] ?>');
						}
					});
				}
			});
		}
		if (payment_type == 'bitcoin') {
			if( $('#amount').val() <= 0 ){
				$('#pay-go-pro').modal('hide');
				alert('You must enter value greater than ZERO');
				return false;
			}else{
				$.get(Wo_Ajax_Requests_File() + '?f=pay_with_bitcoin&amount=' + $('#amount').val(), function (data) {
					if (data.status == 200) {
						$(data.html).appendTo('body').submit();
					}
				});
			}

		} else if (payment_type == 'credit_card') {
			handler.open({
			name: "<?php echo $wo['config']['siteName']?>",
			description: description,
			amount: amount,
			currency: '<?php echo $wo['currencies'][$wo['story']['product']['currency']]['text']?>',
			opened: function () {
				$('#pay-go-pro').modal('hide');
				$('.btn-cart').attr('disabled', false).html("<i class='fa fa-credit-card'></i> <?php echo $wo['lang']['credit_card'] ?>");
			}
			});
		} else if (payment_type == 'alipay') {
			handler.open({
			name: "<?php echo $wo['config']['siteName']?>",
			description: description,
			amount: Number($('#amount').val()) * 100,
			alipay: true,
			currency: '<?php echo $wo['config']['stripe_currency']?>',
			opened: function () {
				$('#pay-go-pro').modal('hide');
				$('.btn-alipay').attr('disabled', false).html("<i class='fa fa-credit-card'></i> Alipay");
			}
			});
		} else if (payment_type == 'bank_payment') {
	    	$('#configreset').click();
	    	$(".prv-img").html('<div class="thumbnail-rendderer"><div><h4 class="bold"><?php echo $wo['lang']['drop_img_here']; ?></h4><div class="error-text-renderer"></div><div><span><?php echo $wo['lang']['or']; ?></span><p><?php echo $wo['lang']['browse_to_upload']; ?></p></div></div> </div>');
			$("#blog-alert").html('');
	    	$('#bank_transfer_des').val('Add to balance');
	    	$('#bank_transfer_price').val($('#amount').val());
	    	$('#pay-go-pro').modal('hide');
	    	$('#bank_transfer_modal').modal({
	             show: true
	            });
	    	
	   	  
		} else if (payment_type == 'checkout') {
			$("#2checkout_alert_wallet").html('');
			$('#pay-go-pro').modal('hide');
	    	$('#2checkout_wallet_modal').modal({
	            show: true
	        });
		}
		$(window).on('popstate', function() {
		handler.close();
		});
	}

	jQuery(document).ready(function($) {

		$("#replenish-user-account").submit(function(e) {
			e.preventDefault();
			var string = $('#amount').val();
			if (string.indexOf(',') > -1 || string < 0 || string == 0) { 
				$('.please-check').removeClass("hidden");
				return false;
			}
			$('.please-check').addClass("hidden");
			var type = 1;
			$.get(Wo_Ajax_Requests_File() + '?f=get_payment_method&type=' + type, function (data) {
				if (data.status == 200) {
					$('#pay-modal').html(data.html);
					$('#pay-go-pro').modal({
						show: true
					});
				}
			});
		});
		$('#bank_transfer_form_wallet').ajaxForm({
		  url: Wo_Ajax_Requests_File() + '?f=bank_transfer_wallet',
		  beforeSend: function() {
	    $('#bank_transfer_form_wallet').find('.disable_btn').attr('disabled','disabled');
	  },
	  success: function(data) {
	    if (data['status'] == 200) {
	    	$("#blog-alert").html('<div class="alert alert-success">'+ data['message'] +'</div>');
	    	setTimeout(function () {
	    		window.location = "<?php echo $wo['config']['site_url'];?>";
	    		$(".prv-img").html('<div class="thumbnail-rendderer"><div><h4 class="bold"><?php echo $wo['lang']['drop_img_here']; ?></h4><div class="error-text-renderer"></div><div><span><?php echo $wo['lang']['or']; ?></span><p><?php echo $wo['lang']['browse_to_upload']; ?></p></div></div> </div>');
	    		$("#blog-alert").html('');
	    		$('#configreset').click();

	    	},3000)
	    } else if (data['message']) {
	      $("#blog-alert").html('<div class="alert alert-danger">' + data['message'] + '</div>');
	    } 
	    $('#bank_transfer_form_wallet').find('.disable_btn').removeAttr("disabled");
		}});
	});
	$(document).on('change', '#upload', function(event) {
	let imgPath = $(this)[0].files[0].name;
    if (typeof(FileReader) != "undefined") {
        let reader = new FileReader();
        reader.onload = function(e) {
			$('#receipt_img_preview').attr('src', e.target.result);
        }
        reader.readAsDataURL(this.files[0]);
    }
	$('#bank_transfer_modal').addClass('up_rec_img_ready');
});

// Called when token created successfully.
var successCallback = function(data) {
	console.log(data);
    var myForm = document.getElementById('2checkout_form_wallet');
    $.post(Wo_Ajax_Requests_File() + '?f=2checkout_wallet', {card_number: $("#card_number").val(),card_cvc: $("#card_cvc").val(),card_month: $("#card_month").val(),card_year: $("#card_year").val(),card_name: $("#card_name").val(),card_address: $("#card_address").val(),card_city: $("#card_city").val(),card_state: $("#card_state").val(),card_zip: $("#card_zip").val(),card_country: $("#card_country").val(),card_email: $("#card_email").val(),card_phone: $("#card_phone").val(),amount: $('#amount').val(),token: data.response.token.token}, function(data, textStatus, xhr) {
    	$('#2checkout_btn_wallet').html("<?php echo($wo['lang']['pay']) ?>");
    	$('#2checkout_btn_wallet').attr('disabled');
    	$('#2checkout_btn_wallet').removeAttr('disabled');
    	$('#2checkout_form_wallet').find('.ball-pulse').fadeOut(100);
    	if (data.status == 200) {
      	 	window.location.href = data.location;
      	} else {
      	 	$('#2checkout_alert_wallet').html("<div class='alert alert-danger'>"+data.error+"</div>");
			setTimeout(function () {
				$('#2checkout_alert_wallet').html("");
			},3000);
      	}
    	/*optional stuff to do after success */
    });
};

// Called when token creation fails.
var errorCallback = function(data) {
	$('#2checkout_btn_wallet').html("<?php echo($wo['lang']['pay']) ?>");
	$('#2checkout_btn_wallet').removeAttr('disabled');
	$('#2checkout_form_wallet').find('.ball-pulse').fadeOut(100);
    if (data.errorCode === 200) {
        tokenRequest();
    } else {
    	$('#2checkout_alert_wallet').html("<div class='alert alert-danger'>"+data.errorMsg+"</div>");
		setTimeout(function () {
			$('#2checkout_alert_wallet').html("");
		},3000);
    }
};

var tokenRequest = function() {
	$('#card_number').val($('#_number_').val());
	$('#2checkout_btn_wallet').html("<?php echo($wo['lang']['please_wait']) ?>");
	$('#2checkout_btn_wallet').attr('disabled','true');
	if ($("#card_number").val() != '' && $("#card_cvc").val() != '' && $("#card_month").val() != '' && $("#card_year").val() != '' && $("#card_name").val() != '' && $("#card_address").val() != '' && $("#card_city").val() != '' && $("#card_state").val() != '' && $("#card_zip").val() != '' && $("#card_country").val() != 0 && $("#card_email").val() != '' && $("#card_phone").val() != '') {
		$('#2checkout_form_wallet').find('.ball-pulse').fadeIn(100);
		// Setup token request arguments
	    var args = {
	        sellerId: "<?php echo($wo['config']['checkout_seller_id']) ?>",
	        publishableKey: "<?php echo($wo['config']['checkout_publishable_key']) ?>",
	        ccNo: $("#card_number").val(),
	        cvv: $("#card_cvc").val(),
	        expMonth: $("#card_month").val(),
	        expYear: $("#card_year").val()
	    };

	    // Make the token request
	    TCO.requestToken(successCallback, errorCallback, args);
	}
	else{
		$('#2checkout_btn_wallet').html("<?php echo($wo['lang']['pay']) ?>");
		$('#2checkout_btn_wallet').removeAttr('disabled');
		$('#2checkout_alert_wallet').html("<div class='alert alert-danger'><?php echo($wo['lang']['please_check_details']) ?></div>");
		setTimeout(function () {
			$('#2checkout_alert_wallet').html("");
		},3000);

	}
};

$(function() {
    // Pull in the public encryption key for our environment
    TCO.loadPubKey("<?php echo($wo['config']['checkout_mode']) ?>");
});
</script>


<div class="modal fade" id="2checkout_wallet_modal" role="dialog" data-keyboard="false">
	<div class="modal-dialog wow_mat_mdl modal-lg">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo $wo['lang']['2checkout'] ?></h4>
			</div>
			<form class="form form-horizontal" method="post" id="2checkout_form_wallet" action="#">
				<div class="modal-body">
					<div id="2checkout_alert_wallet"></div>
					<div class="clear"></div>
					<div class="row">
						<div class="col-lg-6">
							<label class="tag_field">
								<input id="card_name" type="text" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['name']) ?>">
								<span><?php echo $wo['lang']['name']; ?></span>
							</label>
							<label class="tag_field">
								<input id="card_email" type="email" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['email']) ?>">
								<span><?php echo $wo['lang']['email']; ?></span>
							</label>
							<label class="tag_field">
								<input id="card_phone" type="tel" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['phone_number']) ?>">
								<span><?php echo $wo['lang']['phone_number']; ?></span>
							</label>
							<label class="tag_field">
								<input id="card_address" type="text" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['address']) ?>">
								<span><?php echo $wo['lang']['address']; ?></span>
							</label>
							<div class="row">
								<div class="col-md-6">
									<label class="tag_field">
										<input id="card_city" type="text" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['city']) ?>">
										<span><?php echo $wo['lang']['city']; ?></span>
									</label>
								</div>
								<div class="col-md-6">
									<label class="tag_field">
										<input id="card_zip" type="text" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['zip']) ?>">
										<span><?php echo $wo['lang']['zip']; ?></span>
									</label>
								</div>
							</div>
							<div class="row">
								<div class="col-md-6">
									<label class="tag_field">
										<input id="card_state" type="text" autocomplete="off" placeholder=" " value="<?php echo($wo['user']['state']) ?>">
										<span><?php echo $wo['lang']['state']; ?></span>
									</label>
								</div>
								<div class="col-md-6">
									<label class="tag_field">
										<select id="card_country" name="card_country">
											<?php 
												foreach ($wo['countries_name'] as $country_ids => $country) { 
													$country_id = $wo['user']['country_id'];
													$selected_contry = ($country_ids == $country_id) ? ' selected' : '' ;
											?>
												<option value="<?php echo $country_ids;?>" <?php echo $selected_contry;?> ><?php echo $country;?></option>
											<?php } ?>
										</select>
										<span><?php echo $wo['lang']['country']; ?></span>
									</label>
								</div>
							</div>
						</div>
						<div class="col-lg-6">
							<div class="two_check_card">
								<label class="tag_field">
									<input id="_number_" type="text" autocomplete="off" placeholder=" ">
									<span><?php echo $wo['lang']['card_number']; ?></span>
									<input id="card_number" name="card_number" type="hidden" autocomplete="off">
								</label>
								<label class="tag_field">
									<select id="card_month" name="card_month">
										<option value="01">01</option>
										<option value="02">02</option>
										<option value="03">03</option>
										<option value="04">04</option>
										<option value="05">05</option>
										<option value="06">06</option>
										<option value="07">07</option>
										<option value="08">08</option>
										<option value="09">09</option>
										<option value="10">10</option>
										<option value="11">11</option>
										<option value="12">12</option>
									</select>
									<span><?php echo $wo['lang']['month']; ?></span>
								</label>
								<label class="tag_field">
									<select id="card_year" name="card_year">
										<?php for ($i=date('Y'); $i <= date('Y')+15; $i++) {  ?>
											<option value="<?php echo($i) ?>"><?php echo($i) ?></option>
										<?php } ?>
									</select>
									<span><?php echo $wo['lang']['year']; ?></span>
								</label>
								<label class="tag_field">
									<input id="card_cvc" name="card_cvc" type="text" autocomplete="off" placeholder=" " maxlength="3" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');">
									<span>CVC</span>
								</label>
							</div>
						</div>
					</div>
					<div class="clear"></div>
					<input id="card_token" name="token" type="hidden" value="">
				</div>
				<div class="clear"></div>
				<div class="modal-footer">
					<button type="button" class="btn btn-mat btn-default disable_btn" data-dismiss="modal" aria-label="Close"><?php echo $wo['lang']['cancel']; ?></button>
					<button type="button" class="btn btn-main btn-mat disable_btn" onclick="tokenRequest()" id="2checkout_btn_wallet"><?php echo $wo['lang']['pay']; ?></button>
				</div>
			</form>
		</div>
	</div>
</div>

<div class="modal fade" id="bank_transfer_modal" role="dialog" data-keyboard="false">
	<div class="modal-dialog wow_mat_mdl">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title"><?php echo $wo['lang']['bank_transfer'] ?></h4>
			</div>
			<form class="form form-horizontal" method="post" id="bank_transfer_form_wallet" action="#">
				<div class="modal-body dt_bank_trans_modal">
					<div id="blog-alert"></div>
					
					<?php echo $wo['config']['bank_description'];?>
					
					<?php if (!empty($wo['config']['bank_transfer_note'])) { ?>
						<div class="dt_user_profile hide_alert_info_bank_trans">
							<ul class="dt_prof_vrfy">
								<li><?php echo $wo['config']['bank_transfer_note'];?></li>
							</ul>
						</div>
					<?php } ?>
					<div class="upload_bank_receipts">
						<div onclick="document.getElementById('upload').click(); return false">
							<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24"><path fill="currentColor" d="M14,2H6A2,2 0 0,0 4,4V20A2,2 0 0,0 6,22H18A2,2 0 0,0 20,20V8L14,2M13.5,16V19H10.5V16H8L12,12L16,16H13.5M13,9V3.5L18.5,9H13Z"></path></svg>
							<p><?php echo $wo['lang']['browse_to_upload']; ?></p>
							<img id="receipt_img_preview" src="">
						</div>
					</div>
					<input name="price" type="hidden" id="bank_transfer_price" class="hidden">
					<input type="hidden" name="hash_id" value="<?php echo Wo_CreateSession();?>">
					<input name="thumbnail" type="file" id="upload" class="hidden" accept="image/*">
					<input name="type" type="hidden" id="bank_transfer_type" class="hidden">
					<input name="description" type="hidden" id="bank_transfer_des" class="hidden">
					<input type="reset" id="configreset" value="Reset" class="hidden">
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-mat btn-default disable_btn" data-dismiss="modal" aria-label="Close"><?php echo $wo['lang']['cancel']; ?></button>
					<button type="submit" class="btn btn-main btn-mat disable_btn"><?php echo $wo['lang']['send']; ?></button>
				</div>
			</form>
		</div>
	</div>
</div>